Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class POAManagerHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAManagerHelper

public class POAManagerHelper
extends java.lang.Object

Helper class for : POAManager

Author:
  OpenORB Compiler

Constructor Summary
`POAManagerHelper()`

Method Summary
`static POAManager` | `extract(Any a)` Extract POAManager from an any
`static java.lang.String` | `id()` Return the POAManager IDL ID
`static void` | `insert(Any a, POAManager t)` Insert POAManager into an any
`static POAManager` | `narrow(Object obj)` Narrow CORBA::Object to POAManager
`static POAManager` | `read(InputStream istream)` Read POAManager from a marshalled stream
`static TypeCode` | `type()` Return the POAManager TypeCode
`static POAManager` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to POAManager
`static void` | `write(OutputStream ostream, POAManager value)` Write POAManager into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POAManagerHelper

    public POAManagerHelper()

Method Detail

### insert

    public static void insert(Any a,
                              POAManager t)

  Insert POAManager into an any
  Parameters:
    `a` - an any
    `t` - POAManager value

### extract

    public static POAManager extract(Any a)

  Extract POAManager from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted POAManager value

### type

    public static TypeCode type()

  Return the POAManager TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the POAManager IDL ID
  Returns:
    an ID

### read

    public static POAManager read(InputStream istream)

  Read POAManager from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed POAManager value

### write

    public static void write(OutputStream ostream,
                             POAManager value)

  Write POAManager into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - POAManager value

### narrow

    public static POAManager narrow(Object obj)

  Narrow CORBA::Object to POAManager
  Parameters:
    `obj` - the CORBA Object
  Returns:
    POAManager Object

### unchecked_narrow

    public static POAManager unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to POAManager
  Parameters:
    `obj` - the CORBA Object
  Returns:
    POAManager Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD